<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     EuropaCart
 * @subpackage  Components
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die ('Restricted access');

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class EuropaCartAdminControllerEuropaCart extends EuropaCartAdminController {

// +------------------------------------------------------------------+
// | Function: __construct                                            |
// +------------------------------------------------------------------+

function __construct () {

parent::__construct();

$this->registerTask('add','edit');

} // End of function.

// +------------------------------------------------------------------+
// | Function: edit                                                   |
// +------------------------------------------------------------------+

function edit () {

JRequest::setVar('view','europacart');
JRequest::setVar('layout','form');
JRequest::setVar('hidemainmenu', 1);

parent::display();

} // End of function.

// +------------------------------------------------------------------+
// | Function: save                                                   |
// +------------------------------------------------------------------+

function save () {

$model = $this->getModel('europacart');

if ($model->store($post)) {

     $msg = JText::_('The item you edited has been updated.');

} else {

     $msg = JText::_('There was an error saving the item you edited.');

} // End of if statement.

$this->setRedirect('index.php?option=com_europacart',$msg);

} // End of function.

// +------------------------------------------------------------------+
// | Function: remove                                                 |
// +------------------------------------------------------------------+

function remove () {

$model = $this->getModel('europacart');

if ($model->delete()) {

     $msg = JText::_('The item you selected has been deleted.');

} else {

     $msg = JText::_('There was an error deleting the item you selected.');

} // End of if statement.

$this->setRedirect('index.php?option=com_europacart',$msg);

} // End of function.

// +------------------------------------------------------------------+
// | Function: cancel                                                 |
// +------------------------------------------------------------------+

function cancel () {

$msg = JText::_('You selected the cancel option.  No updates have been made.');

$this->setRedirect('index.php?option=com_europacart',$msg);

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>